> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Team Quota

> Return current usage vs limit for a team's billing cycle.



## OpenAPI

````yaml /openapi.json get /api/v1/teams/{team_id}/quota
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/teams/{team_id}/quota:
    get:
      tags:
        - Teams
      summary: Team Quota
      description: Return current usage vs limit for a team's billing cycle.
      operationId: team_quota_api_v1_teams__team_id__quota_get
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Team Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QuotaStatus'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    QuotaStatus:
      properties:
        used:
          type: integer
          title: Used
        limit:
          type: integer
          title: Limit
        remaining:
          type: integer
          title: Remaining
        is_unlimited:
          type: boolean
          title: Is Unlimited
        resets_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Resets At
      type: object
      required:
        - used
        - limit
        - remaining
        - is_unlimited
      title: QuotaStatus
      description: Current usage vs limit for a team's billing cycle.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````